Subject: Re: [PATCH v2 net-next 19/21] net: usb: aqc111: Add support for wake on LAN by MAGIC packet

From: Andrew Lunn <[email-masked]>
Date: Wed, 14 Nov 2018 22:30:38 +0100

> We've considered that, but then thought about the following case:
> 
> After such a sleep state where partner's capabilities were considered,
> user may move with the unit and replug it into different link partner with
> other, incompatible speed mask. That will anyway lead to wol link failure.

WOL for a nomadic device? Is that even a real use case?

Anyway, looking at the link partner capabilities is just really a
corner case, that the LP only supports 1G. Do such devices exist?

So skipping this is fine. But if you use phylib, you pretty much get
it for free if you want it.

   Andrew